package com.fs.oms.mapper;

import java.util.List;
import com.fs.oms.domain.OmsLogistics;

/**
 * 物流管理Mapper接口
 * 
 * @author oms
 * @date 2023-07-07
 */
public interface OmsLogisticsMapper 
{
    /**
     * 查询物流管理
     * 
     * @param id 物流管理ID
     * @return 物流管理
     */
    public OmsLogistics selectOmsLogisticsById(Long id);

    /**
     * 查询物流管理列表
     * 
     * @param omsLogistics 物流管理
     * @return 物流管理集合
     */
    public List<OmsLogistics> selectOmsLogisticsList(OmsLogistics omsLogistics);

    /**
     * 新增物流管理
     * 
     * @param omsLogistics 物流管理
     * @return 结果
     */
    public int insertOmsLogistics(OmsLogistics omsLogistics);

    /**
     * 修改物流管理
     * 
     * @param omsLogistics 物流管理
     * @return 结果
     */
    public int updateOmsLogistics(OmsLogistics omsLogistics);

    /**
     * 删除物流管理
     * 
     * @param id 物流管理ID
     * @return 结果
     */
    public int deleteOmsLogisticsById(Long id);

    /**
     * 批量删除物流管理
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteOmsLogisticsByIds(Long[] ids);
}
